#ifndef INC_GTWHTMAN_H
#define INC_GTWHTMAN_H

#include "gtbdrman.h"

/************************************************************************\
*
* GtWhtMan class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

/* Type of child layout information */
typedef struct GtWListWht
{
	GtWListBdr bli;
	GtWidget *nxt;
	word weight;
	word size;
	ubyte place;
} GtWListWht;

class GtWhtMan : public GtBdrMan
{
public:
		/* Standard */
	char *GetClass(void) { return("GtWhtMan"); }
	sbool IsSubClassOf(char *cn);
		/* Child management */
	sbool SetLInfo(GtWidget *o,GtTag *tgs);
	void GetLInfo(GtWidget *o,GtTag *tgs);
protected:
		/* Internal methods */
	GtWList *MakeWList(GtWidget *o,int sz);
};

#endif /* INC_GTWHTMAN_H */
